Commit 54beec54 authored by intrigeri's avatar intrigeri
Browse files

auto/build: drop checks for conditions that are satisfied in supported build environments.

 - isohybrid is available in our Vagrant build VMs. The manual build
   documentation is totally outdated and broken, nobody complained about it,
   which suggests nobody tried to follow it since 1+ years.
   And anyway, if isohybrid is not installed, the build will fail loudly
   later on.

 - $LB_BINARY_IMAGES is correctly set because auto/config passes
   "--binary-images iso" to "lb config". Checking it here brings no value and
   just makes things harder for anyone who would want to add support for other
   kinds of images.

 - It's been a while since we've stopped releasing source tarballs :) One can't
   reach auto/config via "rake build" if one is not building from Git, and
   building without rake is unsupported (good luck with that).
parent 802aa8ae
......@@ -117,14 +117,6 @@ export MKSQUASHFS_OPTIONS
# refresh translations of our programs
./refresh-translations || fatal "refresh-translations failed ($?)."
case "$LB_BINARY_IMAGES" in
iso)
which isohybrid >/dev/null || fatal 'Cannot find isohybrid in $PATH'
;;
*)
fatal "Image type ${LB_BINARY_IMAGES} is not supported."
;;
esac
BUILD_ISO_FILENAME="${BUILD_BASENAME}.iso"
BUILD_MANIFEST="${BUILD_BASENAME}.build-manifest"
BUILD_APT_SOURCES="${BUILD_BASENAME}.apt-sources"
......
......@@ -7,11 +7,6 @@ set -x
. "$(dirname $0)/scripts/utils.sh"
# we require building from git
if ! git rev-parse --is-inside-work-tree; then
fatal "${PWD} is not a Git tree. Exiting."
fi
. config/amnesia
if [ -e config/amnesia.local ] ; then
. config/amnesia.local
......
Supports Markdown
0% or .
You are about to add 0 people to the discussion. Proceed with caution.
Finish editing this message first!
Please register or to comment